io.etcd.jetcd.api

## Interface AuthUserListResponseOrBuilder

All Superinterfaces:
  com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder

All Known Implementing Classes:
  AuthUserListResponse, AuthUserListResponse.Builder

    public interface AuthUserListResponseOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods
`ResponseHeader` `getHeader()` `.etcdserverpb.ResponseHeader header = 1;`
`ResponseHeaderOrBuilder` `getHeaderOrBuilder()` `.etcdserverpb.ResponseHeader header = 1;`
`String` `getUsers(int index)` `repeated string users = 2;`
`com.google.protobuf.ByteString` `getUsersBytes(int index)` `repeated string users = 2;`
`int` `getUsersCount()` `repeated string users = 2;`
`List<String>` `getUsersList()` `repeated string users = 2;`
`boolean` `hasHeader()` `.etcdserverpb.ResponseHeader header = 1;`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Method Detail

#### hasHeader

    boolean hasHeader()

`.etcdserverpb.ResponseHeader header = 1;`

Returns:
  Whether the header field is set.

#### getHeader

    ResponseHeader getHeader()

`.etcdserverpb.ResponseHeader header = 1;`

Returns:
  The header.

#### getHeaderOrBuilder

    ResponseHeaderOrBuilder getHeaderOrBuilder()

`.etcdserverpb.ResponseHeader header = 1;`

#### getUsersList

    List<String> getUsersList()

`repeated string users = 2;`

Returns:
  A list containing the users.

#### getUsersCount

    int getUsersCount()

`repeated string users = 2;`

Returns:
  The count of users.

#### getUsers

    String getUsers(int index)

`repeated string users = 2;`

Parameters:
  `index` - The index of the element to return.
Returns:
  The users at the given index.

#### getUsersBytes

    com.google.protobuf.ByteString getUsersBytes(int index)

`repeated string users = 2;`

Parameters:
  `index` - The index of the value to return.
Returns:
  The bytes of the users at the given index.